GET /otCatalog
opentopography.org:opentopography-api
Operation ID: getOtCatalog
Auth: none
Description
Bounding box-based catalog search of topography datasets hosted by OpenTopography. Returns metadata about available datasets including spatial coverage, temporal extent, and data format information. This endpoint does not require authentication.
Parameters (9)
(boolean, query, optional, default: False)
Show detailed metadata. Default is false and shows specific metadata information.
(boolean, query, optional, default: False)
Include federated datasets available via OpenTopography (e.g., USGS 3DEP Catalog).
(number, query, optional)
WGS 84 bounding box east coordinates. Required if polygon parameter is not provided.
Constraints: {'minimum': -180, 'maximum': 180}
(number, query, optional)
WGS 84 bounding box north coordinates. Required if polygon parameter is not provided.
Constraints: {'minimum': -90, 'maximum': 90}
(number, query, optional)
WGS 84 bounding box west coordinates. Required if polygon parameter is not provided.
Constraints: {'minimum': -180, 'maximum': 180}
(number, query, optional)
WGS 84 bounding box south coordinates. Required if polygon parameter is not provided.
Constraints: {'minimum': -90, 'maximum': 90}
(string, query, optional, default: json)
Output format for the response.
Constraints: {'enum': ['json', 'xml']}
(string, query, optional)
A string of points to make up a polygon (WKT format). The first and last points should match to complete the polygonal shape. If this parameter is provided, the bounding box parameters (minx, miny, maxx, maxy) will be ignored.
(string, query, optional)
Data product format filter - Point Cloud or Raster. Defaults to all data products.
Constraints: {'enum': ['PointCloud', 'Raster']}
Examples (1)
| Title | Type | URL | Action |
|---|---|---|---|
| Search OpenTopography catalog | openapi-spec |
https://portal.opentopography.org/API/otCatalog?minx=-123.2&miny=44.8&maxx=-121.9&maxy=45.7&polygon=-117.5,32.5,-117.5,33.1,-116.7,33.1,-116.7,32.5,-117.0,32.3,-117.5,32.5&productFormat=Raster&detail=True&outputFormat=json&include_federated=False |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:17:30.392339 | 200 | 1949ms |